import { ComponentInterface } from "../../../stencil-public-runtime";
import { Address } from "../../../sdk";
export declare class LocationBar implements ComponentInterface {
  index: any;
  query: any;
  algoliaAppId: string;
  algoliaSearchKey: string;
  algoliaIndex: string;
  locationId: string;
  position: {
    latitude?: string;
    longitude?: string;
  };
  endOfSearch: boolean;
  searchOptions: any;
  searchResults: any[];
  resultCount: number;
  searchResultPages: number;
  changingLocation: boolean;
  location: {
    objectID?: string;
    name?: string;
    path?: string;
    id?: string;
    email?: string;
    phone?: string;
    type?: string;
    address?: Address;
    isSearchable?: boolean;
    createdAt?: number;
    updatedAt?: number;
    _geoloc?: {
      lat: string;
      lng: string;
    };
    taxId?: string;
    lastModified?: number;
  };
  findLocation(id: string): Promise<{
    objectID?: string;
    name?: string;
    path?: string;
    id?: string;
    email?: string;
    phone?: string;
    type?: string;
    address?: Address;
    isSearchable?: boolean;
    createdAt?: number;
    updatedAt?: number;
    _geoloc?: {
      lat: string;
      lng: string;
    };
    taxId?: string;
    lastModified?: number;
  }>;
  search(query: any, options: any): Promise<any>;
  onInput(event: any): void;
  getLocationCoords(callback: (coords: {
    latitude: number;
    longitude: number;
  } | false) => any): void;
  changeLocation(): void;
  resetSearchOptions(): void;
  componentDidLoad(): Promise<void>;
  render(): any;
}
